<?php
/**
 * SOBI2 SEF extension for Joomla!
 *
 * @author      $Author: David Jozefov $
 * @copyright   ARTIO s.r.o., http://www.artio.cz
 * @package     JoomSEF
 */

// Security check to ensure this file is being included by a parent file.
if (!defined('_VALID_MOS')) die('Direct Access to this location is not allowed.');

// Returns term for given id
if( !function_exists('sefGlossaryGetTermName')) {
    function sefGlossaryGetTermName($id) {
        global $database;
                
        $database->setQuery("SELECT `tterm` FROM `#__glossary` WHERE `id` = $id");
        return $database->loadResult();
    }
}

global $sefConfig;

// Extract variables
extract($vars);
$title = array();

$title[] = getMenuTitle(@$option, @$task, @$Itemid);

if( isset($func) ) {
    switch($func) {
        case 'display':
            if( isset($search) ) {
                // We don't want to save every search URL in the database
                return;
            }
            if( isset($letter) )  $title[] = $letter;
            if( isset($page) && !$sefConfig->appendNonSef )  $title[] = $page;
            break;
        
        case 'view':
            if( isset($term) )  $title[] = $term;
            break;
            
        case 'comment':
        case 'delete':
            $title[] = sefGlossaryGetTermName($id);
            $title[] = $func;
            break;
            
        case 'submit':
            if( isset($id) ) {
                $title[] = sefGlossaryGetTermName($id);
                $title[] = 'edit';
            }
            else {
                $title[] = $letter;
                $title[] = 'submit';
            }
            break;
    }
}

if (count($title) > 0) {
    $nonSefVars = array();
    if( isset($page) ) $nonSefVars['page'] = $page;
    $string = sef_404::sefGetLocation($string, $title, @$task, @$limit, @$limitstart, @$lang, $nonSefVars);
}
?>